<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

session_start();

require __DIR__ . "/src/init.php";

$_POST = array_map('trim', $_POST);
$_GET = array_map('trim', $_GET);

$pathInfo = $_SERVER['PATH_INFO'];

$routes = [
	'' => [
		'controller' => 'userController',
		'method' => 'login'
	],
	'/logout' => [
		'controller' => 'userController',
		'method' => 'logout'
	],
	'/dashboard' => [
		'controller' => 'userController',
		'method' => 'dashboard'
	],
	'/log' => [
		'controller' => 'logController',
		'method' => 'logs'
	],
	'/users' => [
		'controller' => 'userController',
		'method' => 'users'
	],
	'/users/edit' => [
		'controller' => 'userController',
		'method' => 'userEdit'
	],
	'/users/new' => [
		'controller' => 'userController',
		'method' => 'userNew'
	],
	'/trackers/model' => [
		'controller' => 'trackerModelController',
		'method' => 'trackersModel'
	],
	'/trackers/model/edit' => [
		'controller' => 'trackerModelController',
		'method' => 'trackerModelEdit'
	],
	'/trackers/model/new' => [
		'controller' => 'trackerModelController',
		'method' => 'trackerModelNew'
	],
	'/trackers/device' => [
		'controller' => 'trackerDeviceController',
		'method' => 'trackersDevice'
	],
	'/trackers/device/edit' => [
		'controller' => 'trackerDeviceController',
		'method' => 'trackerDeviceEdit'
	],
	'/trackers/device/new' => [
		'controller' => 'trackerDeviceController',
		'method' => 'trackerDeviceNew'
	],
	'/settings/edit' => [
		'controller' => 'settingsController',
		'method' => 'settingsEdit'
	],
];

if(isset($routes[$pathInfo]))
{
	$route = $routes[$pathInfo];
	$controller = $container->make($route['controller']);
	$method = $route['method'];
	$controller->$method();
}
else
{
	header("HTTP/1.0 404 Not Found");
	echo '404 - File not Found!';
}

?>