<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace src\server;

use PDO;

use src\core\abstractRepository;

class serverRepository extends abstractRepository
{
	public $lastCheckTimeout;
	public $waitTimeout;

	public function getModelName()
	{
		return "";
	}

	public function getTableName()
	{
		return "";
	}

	public function updateConnection()
	{
		if(empty($this->waitTimeout))
		{
			$stmt = $this->pdo->query("SHOW variables WHERE Variable_name='wait_timeout'");
			$timeout = $stmt->fetch();

			if(empty($timeout[1]))
			{
				$timeout[1] = 3600;
			}

			$this->waitTimeout = round($timeout[1] / 2);
		}

		if($this->lastCheckTimeout <= time())
		{
			$this->pdo->query('SELECT 1');
			$this->lastCheckTimeout = $this->waitTimeout + time();
		}
	}
}
?>
