<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace src\settings;

use PDO;

use src\core\abstractRepository;

class settingsRepository extends abstractRepository
{
	public function getModelName()
	{
		return "src\\settings\\settingsModel";
	}

	public function getTableName()
	{
		return "settings";
	}

	public function update(settingsModel $model)
	{
 		$table = $this->getTableName();

		$stmt = $this->pdo->prepare(
			"UPDATE `$table` SET `loginTime` = :loginTime, `loginTrys` = :loginTrys, `ip` = :ip, `maxClientsWait` = :maxClientsWait, `wsport` = :wsport"
		);

		$stmt->execute([
			'loginTime' => $model->loginTime,
			'loginTrys' => $model->loginTrys,
			'ip' => $model->ip,
			'maxClientsWait' => $model->maxClientsWait,
			'wsport' => $model->wsport
		]);
	}
}
?>