<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

namespace src\tracker;

class trackerService
{
	public function degreeToDecimal($coordinatesInDegrees, $direction)
	{
		$degrees = (int) ($coordinatesInDegrees / 100);
		$minutes = $coordinatesInDegrees - ($degrees * 100);
		$seconds = $minutes / 60;
		$coordinatesInDecimal = $degrees + $seconds;

		if(($direction == "S") OR ($direction == "W"))
		{
			$coordinatesInDecimal = $coordinatesInDecimal * (-1);
		}

		return number_format($coordinatesInDecimal, 6, '.', '');
	}

	public function nauticalKnotsInKmh($speedInKnots)
	{
		$speedInKmh = (1.851999999984 * $speedInKnots);

		return number_format($speedInKmh);
	}

	public function timeToUnixTime($day, $month, $year, $hour, $minute, $second)
	{
		return strtotime("{$month}/{$day}/{$year} {$hour}:{$minute}:{$second} UTC"); //mm/dd/yy hh:mm:ss UTC
	}
}
?>