<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>
<?php require __DIR__ . "/../main/menu.php"; ?>

<link rel="stylesheet" href="<?php echo BASE_URL; ?>/template/css/ol.css" type="text/css">

<div id="connectedInfo"></div>

<main>
	<div class="left map">
		<h1>Map</h1>
		<div id="map"></div>
	</div>

	<div class="right trackerData">
		<h1>Tracker</h1>

		<div id="trackerConnected" class="trackerConnected">
			Der Tracker ist verbunden.
		</div>

		<div id="trackerDisconnected"class="trackerDisconnected">
			Der Tracker ist nicht verbunden.
		</div>

		<form action="<?php echo BASE_URL; ?>/dashboard" name="trackerSelect" method="GET">
			Tracker auswählen: <br>
			<select name="tId" onChange="this.form.submit();" style="width: 100%;">
				<option></option>
				<?php foreach ($allTracker AS $entry): ?>
					<option value="<?php echo e($entry["id"]); ?>"<?php if(e($entry["id"]) ==  $_GET["tId"]) echo ' selected="selected"'; ?>><?php echo e($entry["name"]); ?></option>
				<?php endforeach; ?>
			</select>
		</form>

		<br>

		<div id="trackerData">
			<?php if(!empty($_GET['tId'])): ?>
				Id: <?php echo e($lastTrackingPoint["id"]); ?><br>
				Trackerzeit: <?php echo e(date("d.m.Y - H:i:s", $lastTrackingPoint["time"])); ?><br>
				Latitude: <?php echo e($lastTrackingPoint["latitude"]); ?><br>
				Longitude: <?php echo e($lastTrackingPoint["longitude"]); ?><br>
				Speed: <?php echo e($lastTrackingPoint["speed"]); ?> km/h<br>
				Richtung: <?php echo e($lastTrackingPoint["direction"]); ?>°<br>
				Event: <?php echo e($lastTrackingPoint["event"]); ?><br>
				Spannung: <?php echo e($lastTrackingPoint["voltage"]); ?> Volt<br>
				Akkustand: <?php echo e($lastTrackingPoint["voltagePercent"]); ?>%
			<?php endif; ?>
		</div>
	</div>

	<div class="clear"></div>
</main>

<?php require __DIR__ . "/../../src/js/mapInclude.js"; ?>
<?php require __DIR__ . "/../../src/js/websocketDashboardInclude.js"; ?>
<?php require __DIR__ . "/../../src/js/countDownInclude.js"; ?>

<?php require __DIR__ . "/../main/footer.php"; ?>