<?php
/*
Copyright (C) 2018 Daniel Wirths

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
?>
<?php require __DIR__ . "/../main/header.php"; ?>
<?php require __DIR__ . "/../main/menu.php"; ?>

<main class="center">
	<div class="insert">
		<h1>Benutzer editieren</h1><br>

		<?php if(!empty($saved[1])): ?>
			<b class="ok">Der Benutzer wurde erfolgreich aktualisiert</b><br><br>
		<?php endif; ?>
		<?php if(!empty($saved[2])): ?>
			<b class="ok">Der Benutzer wurde erfolgreich erstellt</b><br><br>
		<?php endif; ?>

		<?php if(!empty($errorCode[1])): ?>
			<b class="error">Bitte den Benutzernamen angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[2])): ?>
			<b class="error">Bitte das Passwort angeben</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[3])): ?>
			<b class="error">Der Benutzername existiert bereits</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[4])): ?>
			<b class="error">Bitte Autorisation angeben.</b><br><br>
		<?php endif; ?>
		<?php if(!empty($errorCode[5])): ?>
			<b class="error">Bitte Loginversuche angeben.</b><br><br>
		<?php endif; ?>

		<form method="POST" action="<?php echo BASE_URL . $_SERVER["PATH_INFO"]; ?>?id=<?php echo e($entry["id"]); ?>">
			<label>
				Id:<br>
				<input type="text" name="id" value="<?php echo e($entry["id"]); ?>" readonly="readonly"><br>
			</label>
			<label>
				Benutzername:<br>
				<input type="text" name="username" value="<?php echo e($entry["username"]); ?>"><br>
			</label>
			<label>
				Passwort (zum Ändern angeben):<br>
				<input type="text" name="password" value=""><br>
			</label>
			<label>
				Email:<br>
				<input type="email" name="email" value="<?php echo e($entry["email"]); ?>"><br>
			</label>
			<label>
				Autorisation:<br>
				<select name="authorization">
					<option></option>
					<option value="admin"<?php if(e($entry["authorization"]) == 'admin') echo ' selected="selected"'; ?>>Admin</option>
					<option value="user"<?php if(e($entry["authorization"]) == 'user') echo ' selected="selected"'; ?>>User</option>
				</select><br>
			</label>
			<label>
				Loginversuche (größer als loginTrys von Settings gleich Sperre):<br>
				<input type="number" min="0" name="trylogin" value="<?php echo e($entry["trylogin"]); ?>"><br>
			</label>
			<label>
				Letzter Login:<br>
				<input type="text" name="lastlogin" value="<?php echo e($entry["lastlogin"]); ?>" readonly="readonly"><br>
			</label>
			<label>
				Letzte Aktivität:<br>
				<input type="text" name="lastactivity" value="<?php echo e($entry["lastactivity"]); ?>" readonly="readonly"><br>
			</label>

			<br>

			<input type="submit" name="save" value="Benutzer speichern">
			<input type="submit" onClick="return confirm('Wirklich löschen?');" name="delete" value="Benutzer löschen">
		</form>
	</div>
</main>

<?php require __DIR__ . "/../../src/js/countDownInclude.js"; ?>

<?php require __DIR__ . "/../main/footer.php"; ?>